Overview

The MatchTimeline endpoint returns the chronological sequence of major match events. These events represent key moments that occur during the match such as:
  • Yellow Cards
  • Red Cards
  • Substitutions
  • Goals (when available)
  • Other official match incidents
Each event includes:
  • Half of play
  • Match time
  • Event type
  • Team responsible
  • Player involved
For substitutions, both the player coming in and player going out are returned. This endpoint is typically used for:
  • Match timeline displays
  • Live match trackers
  • Broadcast graphics
  • Match summaries
  • Data feeds for applications
GET /api.php

Parameters

module
string
Always use api
api
string
The API name. Use MatchTimeline
version
string
API version. Use V2
response
string
Output format (json or xml)
lang
string
Language of returned text (en or ar)
match_id
integer
The unique identifier of the match
key
string
API authentication key

Example Request

curl --request GET \
--url "https://korastats.pro/pro/api.php?module=api&api=MatchTimeline&version=V2&response=json&lang=en&match_id=8200&key=YOUR_API_KEY"
{
  "result": "string",
  "message": "string",
  "data": {
    "_type": "MATCH_SUMMARY",
    "matchId": "integer",
    "tournament": "string",
    "seasonId": "integer",
    "season": "string",
    "round": "integer",

    "home": {
      "_type": "TEAM",
      "id": "integer",
      "name": "string"
    },

    "away": {
      "_type": "TEAM",
      "id": "integer",
      "name": "string"
    },

    "score": {
      "home": "integer",
      "away": "integer"
    },

    "dateTime": "YYYY-MM-DD HH:MM:SS",
    "dtLastUpdateDateTime": "YYYY-MM-DD HH:MM:SS",

    "stadium": {
      "_type": "STADIUM",
      "id": "integer",
      "name": "string"
    },

    "referee": {
      "_type": "REFEREE",
      "id": "integer",
      "name": "string",
      "nationality": {
        "id": "integer",
        "name": "string"
      }
    },

    "timeline": [
      {
        "_type": "EVENT",
        "half": "integer",
        "time": "MM:SS",
        "event": "string",

        "team": {
          "id": "integer",
          "name": "string"
        },

        "player": {
          "id": "integer",
          "name": "string",
          "nickname": "string",
          "number": "integer"
        }
      }
    ]
  }
}